Skip to main content

GetDataHoldV1

A GET request that retrieves a description of an existing data hold. The endpoint is https://api.aware.work/external/dataholds/v1/{holdRequestModelId}.

Access​

To access this operation, your API token must have one of the following permissions:

For more information, see the API token documentation.

Request Format​

Parameters​

The only parameter included in this request is a path parameter, which should be set to the holdRequestModelId of the Data Hold you wish to retrieve. If you do not have an ID, you can query ListDataHoldsV1, filtering on the necessary information.

Query​

Here is a sample request that can be used to retrieve a Data Hold with the holdRequestModelId of 5e1177db-39c2-ed17-1195-b2e50c242cd0:

curl -X GET --location "https://api.aware.work/external/dataholds/v1/5e1177db-39c2-ed17-1195-b2e50c242cd0" \
-H "X-Aware-Api-Key: ${API_TOKEN}"

Response Format​

If the request is successful, the API will return a 200 response and a JSON description of the Data Hold:

{
"holdRequestModelId": "5e1177db-39c2-ed17-1195-b2e50c242cd0",
"holdKeyType": "Email",
"holdKey": "user@example.com",
"name": "My hold for User",
"startedOn": "2023-07-07T01:02:03.0004",
"stoppedOn": null,
"platforms": [
"b8479d5f-4fe6-e2ec-3f10-dfc270f88816"
]
}